%define my_name        kbde
%define my_version     1.1.6
%define my_release     1

Name:        %{my_name}
Version:     %{my_version}
Release:     %{my_release}
License:     GPL
Group:       Applications/System
Summary:     Keyboard emulation utility
Packager:    Valery Reznic <valery_reznic@users.sourceforge.net>
Source:      %{name}-%{version}.tar.gz
Url:         http://kbde.sourceforge.net
BuildRoot:   %{_builddir}/%{buildsubdir}-install-root

%description
Keyboard emulation utility supposed to work with kbde-driver
to emulate keybiard input on the x86 computer.

%prep
%setup

%build
make all

%install
if [ "$RPM_BUILD_ROOT" != "/" ]; then
   rm -rf $RPM_BUILD_ROOT
else
   :
fi
make install DESTDIR="$RPM_BUILD_ROOT" MANPAGE_SUFFIX=".gz"

%clean
if [ "$RPM_BUILD_ROOT" != "/" ]; then
   rm -rf $RPM_BUILD_ROOT
else
   :
fi

%files
%defattr(-,root,root)

/usr/bin/kbde
%doc %{_mandir}/man1/kbde.1*

%doc AUTHORS
%doc ChangeLog
%doc INSTALL
%doc LICENSE
%doc NEWS
%doc README

#### Devel Package ####

%package devel
Summary: keyboard emulation development library
Group:   System Environment/Libraries

%description devel
Library for generate strings that can be send to the 
keyboard emulation driver for emulate keyboard input

%files devel
%defattr(-,root,root)
/usr/include/kbde/kbde.h
/usr/lib/libkbde.a

%doc %{_mandir}/man3/kbde.3*
%doc %{_mandir}/man3/kbde_ascii.3*
%doc %{_mandir}/man3/kbde_misc.3*
%doc %{_mandir}/man7/xt_kbde_scancode.7*

%doc LICENSE.LIB

%changelog
* Mon May 14 2007 <valery_reznic@users.sourceforge.net> 1.1.5-1
- no real change - just to match kbde-driver version

* Mon Apr 10 2006 <valery_reznic@users.sourceforge.net> 1.1.5-1
- no real change - just to match kbde-driver version

* Wed Jan  4 2006 <valery_reznic@users.sourceforge.net> 1.1.4-1
- no real change - just to match kbde-driver version

* Sun Sep 25 2005 <valery_reznic@users.sourceforge.net> 1.1.3-1
- no real change - just to match kbde-driver version

* Thu Apr 27 2005 <valery_reznic@users.sourceforge.net> 1.1.2-1
- no real change - just to match kbde-driver version

* Sun Apr 17 2005 <valery_reznic@users.sourceforge.net> 1.1.1-1
- fix for gcc-3.4

* Thu Sep  2 2004 <valery_reznic@users.sourceforge.net> 1.1.0-1
- no real change - just to match kbde-driver version

* Thu Mar  2 2004 <valery_reznic@users.sourceforge.net> 1.0.1-1
- no real change - just to match kbde-driver version

* Thu Nov 20 2003 <valery_reznic@users.sourceforge.net> 1.0.0-1
- Initial public release.
