#!/bin/sh

gawk -f ./kbde.awk --source '

function print_code_array(ArrayName, Suffix)
{
   printf "static const char *%s[] = {\n", ArrayName;
   print Quote Quote
   for (Define = 1; int(Define) <= int(MaxDefine); Define = Define + 1) {
       Name = Names[Define];
       if (Name != "") {
          print ", " Define_Prefix Name Suffix;
      } else {
          print ", " Quote Quote
      }
   }
   print "};";
   print ""
}

function print_code()
{
   print_c_do_not_change();
   print_code_array("MakeCodes" , "_MAKE" );
   print_code_array("BreakCodes", "_BREAK");
}

function print_func()
{
   print_code();
}
' || exit
exit 0
